Bug 890211 - utilize gluster as a backend for glance w/ direct access to glusterfs from Nova (no http get needed)
Summary: utilize gluster as a backend for glance w/ direct access to glusterfs from No...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-glance
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: Upstream M3
: 4.0
Assignee: Flavio Percoco
QA Contact: Dafna Ron
URL:
Whiteboard:
Depends On: 990581
Blocks: RHOS40RFE
TreeView+ depends on / blocked
 
Reported: 2012-12-25 18:04 UTC by Perry Myers
Modified: 2016-04-26 13:58 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Compute is now able to access images directly from local and locally mounted filesystems. Previously, only 'file://' URLs were directly accessible. This enhancement adds the concept of download plug-ins. Protocol modules enable Compute to analyse the URL scheme and load the corresponding plugin. The instance is able to directly download the image without routing through Image Service first. The download is reverted to Image Service if any failures occur in the process.
Clone Of:
Environment:
Last Closed: 2013-12-19 23:55:53 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
OpenStack gerrit 37817 0 None None None Never
Red Hat Product Errata RHEA-2013:1859 0 normal SHIPPED_LIVE Red Hat Enterprise Linux OpenStack Platform Enhancement Advisory 2013-12-21 00:01:48 UTC

Description Perry Myers 2012-12-25 18:04:41 UTC
utilize gluster as a backend for glance w/ direct access to glusterfs from Nova (no http get needed)

Comment 2 John Bresnahan 2013-01-08 23:15:40 UTC
The solution to this will be broken down into steps.  A more advanced solution will be worked on in parallel with a initial and incremental solution.

For the initial solution we will achieve this functionality by requesting the direct_url location information from glance.  If that information is available, and is pointing to a file url nova compute will perform a file copy.  

For the first patch we will make the assumption that the glance and nova compute share a file system that has the same name space.  In incremental patches to come shortly after we will add functionality to glance such that it describes the name space of its file system and its mount point.  Similar information must be added to nova compute so that a copy is only made if the name spaces match, and that the path can be adjusted for nodes that use different mount points.

Comment 5 John Bresnahan 2013-07-23 02:40:58 UTC
An upstream patch has been posted here: https://review.openstack.org/#/c/37817/.  If accepted it will complete this work.

Comment 6 John Bresnahan 2013-08-05 22:38:25 UTC
An upstream patch has been approved here:

https://review.openstack.org/#/c/37817/

This completes the code changes needed for this bug.  Documentation will be needed as well.

Comment 7 Alan Pevec 2013-08-14 15:30:59 UTC
This depends on updates to warlock and jsonschema (and new python-json* deps[2])

Related upstream bugs:
https://bugs.launchpad.net/nova/+bug/1208656
https://bugs.launchpad.net/glance/+bug/1202391

[2] new python-json* Fedora Reviews:
https://bugzilla.redhat.com/show_bug.cgi?id=982351
https://bugzilla.redhat.com/show_bug.cgi?id=982352

Comment 8 Alan Pevec 2013-08-16 20:10:18 UTC
I got that wrong, jsonschema 1.3.0 should be enough, but 2.0.0 is also fine:
https://github.com/openstack/requirements/commit/005fd50c2d4dc17be8204bbd15895e11445e43af

Comment 9 John Bresnahan 2013-08-26 20:35:07 UTC
Documentation for how this works and how to test it can be found here: http://tropicaldevel.wordpress.com/2013/08/26/http-get-outta-here/

Comment 19 Dafna Ron 2013-10-18 17:00:35 UTC
test run passed with 97% 

https://tcms.engineering.redhat.com/run/87714/

moving RFE to verified 

These are the bug lists opened and reported during the plan: 

https://bugzilla.redhat.com/buglist.cgi?bug_id=1020930%2C1016806%2C1019401%2C1015625%2C1019417%2C1020954%2C1015645%2C1016798&bugidtype=include&list_id=1820685

Comment 23 errata-xmlrpc 2013-12-19 23:55:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHEA-2013-1859.html


Note You need to log in before you can comment on or make changes to this bug.